MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024045Community[OCCT] OCCT:Foundation Classespublic2013-06-25 21:482013-12-19 13:57
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024045: Invalid test case for matrix-vector multiplication
DescriptionThe fix used incompatible combination of matrix/vector dimensions. Fixed test case and added missing checks (causing exception) in Debug mode.

The fix should be integrated along with 0024044
Steps To Reproducetest bugs moddata_2 bug524
TagsNo tags attached.
Test case numberbugs moddata_2(012) bug524
Attached Files

- Relationships
related to 0000524closedifv math_Vector::Multiply(const Vector & v, const Matrix &m) broken 
parent of 0024044closedbugmaster Performance improvements: Foundation Classes (math) 

-  Notes
(0024867)
Roman Lygin (developer)
2013-06-25 21:59

The fix has been pushed to the repository
(0024870)
abv (manager)
2013-06-26 07:06

Reviewed. I wonder how this worked before... User comment in 0000524 still holds...
(0024871)
abv (manager)
2013-06-26 08:08

Besides, is it correct that ${Vector2_2} is checked against 125 while other components are expected to be equal to 120?? The whole test seems worth revising
(0025305)
abv (manager)
2013-08-14 15:50

Halloo!! Test this please!
(0025312)
mkv (tester)
2013-08-15 10:44

Dear BugMaster,

Branch CR24045 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 25bba42358057d3cec8f37ae8fdc2db6e70a4ab9

Number of compiler warnings:

occt component :
Linux: 917 (917 on master)
Windows: 855 (855 on master)

products component :
Linux: 188 (188 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs moddata_2(012) bug524 - OK.

Testing on Linux:
Total MEMORY difference: 363642696 / 363259508
Total CPU difference: 56716.84000000134 / 49186.110000000495

Testing on Windows:
Total MEMORY difference: 425464108 / 424579644
Total CPU difference: 34652.78125 / 33046.4375

There are not differences in images found by testdiff.
(0025319)
mkv (tester)
2013-08-15 15:03

Dear BugMaster,
The fix should be integrated along with 0024044

- Related Changesets
occt: master d2d893b8
Timestamp: 2013-06-25 17:58:50
Author: Roman Lygin
Committer: bugmaster
Details ] Diff ]
0024045: Invalid test case for matrix-vector multiplication
mod - src/math/math_Matrix.cxx Diff ] File ]
mod - src/math/math_Vector.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - tests/bugs/moddata_2/bug524 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-06-25 21:48 Roman Lygin New Issue
2013-06-25 21:48 Roman Lygin Assigned To => abv
2013-06-25 21:49 Roman Lygin Relationship added parent of 0024044
2013-06-25 21:59 Roman Lygin Note Added: 0024867
2013-06-25 21:59 Roman Lygin Status new => resolved
2013-06-26 07:01 abv Relationship added related to 0000524
2013-06-26 07:06 abv Note Added: 0024870
2013-06-26 07:06 abv Status resolved => reviewed
2013-06-26 08:08 abv Note Added: 0024871
2013-08-14 15:50 abv Note Added: 0025305
2013-08-14 15:50 abv Assigned To abv => bugmaster
2013-08-14 17:11 mkv Assigned To bugmaster => mkv
2013-08-15 10:44 mkv Note Added: 0025312
2013-08-15 10:45 mkv Test case number => bugs moddata_2(012) bug524
2013-08-15 15:03 mkv Note Added: 0025319
2013-08-15 15:05 mkv Assigned To mkv => bugmaster
2013-08-15 15:05 mkv Status reviewed => tested
2013-08-17 12:50 bugmaster Changeset attached => occt master d2d893b8
2013-08-17 12:50 bugmaster Status tested => verified
2013-08-17 12:50 bugmaster Resolution open => fixed
2013-08-21 14:48 bugmaster Target Version => 6.7.0
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:57 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker